Skip to main content
Get a workspace summary available to current user
curl --request GET \
  --url https://api.acornops.dev/api/v1/workspaces/{workspaceId} \
  --cookie acornops_cp_session=
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "role": "<string>",
  "permissions": {},
  "currentUserRoleTemplate": {
    "key": "<string>",
    "displayName": "<string>",
    "capabilities": [
      "<string>"
    ],
    "protected": true,
    "sortOrder": 123,
    "description": "<string>"
  },
  "memberCount": 123,
  "clusterCount": 123,
  "virtualMachineCount": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

Response

Workspace summary, including plan.{key,name}, permissions, bounded list counts, and quota.{members,kubernetesClusters,virtualMachines}.{used,limit}. Operational counts and operational quota usage are redacted when permissions.read_workspace_data is false; member counts and quota usage require permissions.read_members.

id
string<uuid>
required
name
string
required
role
string
required
permissions
object
required
currentUserRoleTemplate
object
memberCount
integer
clusterCount
integer
virtualMachineCount
integer
createdAt
string<date-time>
updatedAt
string<date-time>